Free Support Forum - aspose.cloud

.NET Standard 2.0 support


#1

Can I compile Cells Cloud as .NET Standard 2.0 assembly ? Or are there other ways to use .Net version on macOS.


#2

@23W

Aspose.Cells Cloud SDK for .NET supports for .NET Standard 2.0. Please feel free to contact us, if you face any issue in this regard.


#3

@tilal.ahmad
Quotation from your github link:

Frameworks supported
.NET 4.0 or later

Your package from NuGet (https://www.nuget.org/packages/Aspose.Cells-Cloud/) has only .net4.5.2 lib

I’ve tried manually compile Aspose.Cells.Cloud.SDK code with target framework .Net Standard 2.0 and received error message:

1>------ Rebuild All started: Project: TestAsposeNetStd, Configuration: Debug Any CPU ------
1>Client\ApiClient.cs(415,20,415,27): error CS0656: Missing compiler required member ‘Microsoft.CSharp.RuntimeBinder.CSharpArgumentInfo.Create’
1>Done building project “TestAsposeNetStd.csproj” – FAILED.


#4

@23W

We are sorry for your inconvenience. Aspose.Cells cloud supports .NET Core 2.0 and it includes the support of .NET Standard 2.0. Please try to compile .NET core project from Aspose.Cells Cloud Github repo. Hopefully it will help you to accomplish the task.


#5

Thanks, Aspose.Cells for .NET Core 2.0 is fine, but can it be possible make pure .NET Standard 2.0 library that doesn’t depend on framework and depends on standard only?


#6

@23W

Thanks for your feedback. We have logged a ticket CELLSCLOUD-10217 in our issue tracking system to further investigate your requirement. We will keep you posted about the issue resolution progress.